Bug 461763 - Segfault during update of presenter-screen
Segfault during update of presenter-screen
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
: 466120 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 09:36 EDT by Tom London
Modified: 2009-05-12 17:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 10:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of 'valgring --trace-children unopkg --list' (40.98 KB, text/plain)
2008-09-10 12:51 EDT, Tom London
no flags Details
output of "/usr/lib/openoffice.org3/program/crash_report -stack /dev/null >/tmp/crash_report.txt " (6.02 KB, text/plain)
2008-09-10 13:59 EDT, Tom London
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 95018 None None None Never

  None (edit)
Description Tom London 2008-09-10 09:36:17 EDT
Description of problem:

  Updating       : module-init-tools                             [ 33/149] 
/usr/lib/openoffice.org3/program/unopkg: line 106:  4530 Segmentation fault      "$sd_prog/unopkg.bin" "$@" "-env:INIFILENAME=vnd.sun.star.pathname:$sd_prog/redirectrc"
  Updating       : openoffice.org-presenter-screen               [ 34/149] 
Extension has already been added: com.sun.PresenterScreen-linux_x86


Version-Release number of selected component (if applicable):
openoffice.org-presenter-screen-3.0.0-5.1.fc10.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2008-09-10 10:24:30 EDT
hmm, not here though on x86_64

what's the output now of 

unopkg list --shared

?
Comment 2 Tom London 2008-09-10 10:31:00 EDT
[root@tlondon ~]# unopkg list --shared
all deployed shared packages:
Identifier: org.openoffice.da.writer2latex.oxt
  Version: 0.5.0.1
  URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/duLpBG_/writer2latex.oxt
  is registered: yes
  Media-Type: application/vnd.sun.star.package-bundle
  Description: 
  bundled Packages: {
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/duLpBG_/writer2latex.oxt/writer2latex-filter.jar
      is registered: yes
      Media-Type: application/vnd.sun.star.uno-component;type=Java
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/duLpBG_/writer2latex.oxt/w2l_types.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/duLpBG_/writer2latex.oxt/w2l_filters.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
  }
Identifier: com.sun.star.PDFImport-linux_x86
  Version: 0.3
  URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/SCcB0m_/pdfimport.oxt
  is registered: yes
  Media-Type: application/vnd.sun.star.package-bundle
  Description: PDF documents are imported in Draw and Impress to preserve the layout and to
allow basic editing. It is the perfect solution for changing dates, numbers
or small portions of text.

  bundled Packages: {
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/SCcB0m_/pdfimport.oxt/basic/
      is registered: yes
      Media-Type: application/vnd.sun.star.basic-library
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/SCcB0m_/pdfimport.oxt/xpdfimport
      is registered: unknown
      Media-Type: application/vnd.sun.star.executable
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/SCcB0m_/pdfimport.oxt/pdfimport.uno.so
      is registered: yes
      Media-Type: application/vnd.sun.star.uno-component;type=native;platform=Linux_x86
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/SCcB0m_/pdfimport.oxt/pdf_import_filter.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/SCcB0m_/pdfimport.oxt/pdf_types.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
  }
Identifier: com.sun.PresenterScreen-linux_x86
  Version: 1.0
  URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/orzxhR_/presenter-screen.oxt
  is registered: yes
  Media-Type: application/vnd.sun.star.package-bundle
  Description: The Presenter Console Extension provides more control over your slide show
presentation, such as the ability to see the upcoming slide, the slide notes,
and a presentation timer whereas the audience see only the current slide.

  bundled Packages: {
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/orzxhR_/presenter-screen.oxt/registry/schema/org/openoffice/Office/extension/PresenterScreen.xcs
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-schema
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/orzxhR_/presenter-screen.oxt/PresenterScreen.uno.so
      is registered: yes
      Media-Type: application/vnd.sun.star.uno-component;type=native;platform=Linux_x86
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/orzxhR_/presenter-screen.oxt/registry/data/org/openoffice/Office/Jobs.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/orzxhR_/presenter-screen.oxt/registry/data/org/openoffice/Office/ProtocolHandler.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/orzxhR_/presenter-screen.oxt/registry/data/org/openoffice/Office/extension/PresenterScreen.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
  }
[root@tlondon ~]#
Comment 3 Caolan McNamara 2008-09-10 11:49:06 EDT
I reverted back to 3.0.0-4.2 of impress and presenter-screen and tried an upgrade to 3.0.0-5.1, and it worked ok. I don't suppose you know the rpms you upgraded from ?
Comment 4 Tom London 2008-09-10 12:29:11 EDT
[root@tlondon packages]# ls -l /var/cache/yum/rawhide/packages/*presenter*
-rw-r--r-- 1 root root 1269842 2008-09-03 09:35 /var/cache/yum/rawhide/packages/openoffice.org-presenter-screen-3.0.0-4.1.fc10.i386.rpm
-rw-r--r-- 1 root root 1269927 2008-09-05 08:12 /var/cache/yum/rawhide/packages/openoffice.org-presenter-screen-3.0.0-4.2.fc10.i386.rpm
-rw-r--r-- 1 root root 1269976 2008-09-09 03:24 /var/cache/yum/rawhide/packages/openoffice.org-presenter-screen-3.0.0-5.1.fc10.i386.rpm
[root@tlondon packages]# 

So, looks like 3.0.0-4.2.

I did the 'oldpackage'/'newpackage' thing too, and also got nothing....

[root@tlondon packages]# rpm -Uvh --oldpackage openoffice*3.0.0-4.2*
Preparing...                ########################################### [100%]
   1:openoffice.org-ure     ########################################### [  6%]
   2:openoffice.org-core    ########################################### [ 11%]
   3:openoffice.org-brand   ########################################### [ 17%]
   4:openoffice.org-calc-cor########################################### [ 22%]
   5:openoffice.org-impress-########################################### [ 28%]
   6:openoffice.org-presente########################################### [ 33%]
   7:openoffice.org-base-cor########################################### [ 39%]
   8:openoffice.org-graphicf########################################### [ 44%]
   9:openoffice.org-math-cor########################################### [ 50%]
  10:openoffice.org-writer-c########################################### [ 56%]
  11:openoffice.org-writer  ########################################### [ 61%]
  12:openoffice.org-impress ########################################### [ 67%]
  13:openoffice.org-calc    ########################################### [ 72%]
  14:openoffice.org-draw-cor########################################### [ 78%]
  15:openoffice.org-math    ########################################### [ 83%]
  16:openoffice.org-xsltfilt########################################### [ 89%]
  17:openoffice.org-pdfimpor########################################### [ 94%]
  18:openoffice.org-draw    ########################################### [100%]
[root@tlondon packages]# rpm -Uvh openoffice*3.0.0-5.1*
Preparing...                ########################################### [100%]
   1:openoffice.org-ure     ########################################### [  6%]
   2:openoffice.org-core    ########################################### [ 11%]
   3:openoffice.org-brand   ########################################### [ 17%]
   4:openoffice.org-calc-cor########################################### [ 22%]
   5:openoffice.org-impress-########################################### [ 28%]
   6:openoffice.org-presente########################################### [ 33%]
   7:openoffice.org-base-cor########################################### [ 39%]
   8:openoffice.org-graphicf########################################### [ 44%]
   9:openoffice.org-math-cor########################################### [ 50%]
  10:openoffice.org-writer-c########################################### [ 56%]
  11:openoffice.org-writer  ########################################### [ 61%]
  12:openoffice.org-impress ########################################### [ 67%]
  13:openoffice.org-calc    ########################################### [ 72%]
  14:openoffice.org-draw-cor########################################### [ 78%]
  15:openoffice.org-math    ########################################### [ 83%]
  16:openoffice.org-xsltfilt########################################### [ 89%]
  17:openoffice.org-pdfimpor########################################### [ 94%]
  18:openoffice.org-draw    ########################################### [100%]
[root@tlondon packages]# 

Must be a gremlin.....
Comment 5 Caolan McNamara 2008-09-10 12:36:56 EDT
Bah, that's a nuisance :-(

I'll see if I can hook valgrind or something to unopkg during an update to see if anything falls out. A crash in unopkg fills me with fear of mucho misery in the field with upgrades during F-10 lifetime
Comment 6 Tom London 2008-09-10 12:44:39 EDT
Uhhhh.... after doing the old/new dance above, I get this running 'valgrind unopkg':

[root@tlondon ~]# valgrind unopkg list --shared
==7049== Memcheck, a memory error detector.
==7049== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==7049== Using LibVEX rev 1804, a library for dynamic binary translation.
==7049== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==7049== Using valgrind-3.3.0, a dynamic binary instrumentation framework.
==7049== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==7049== For more details, rerun with: -v
==7049== 
/usr/lib/openoffice.org3/program/unopkg: line 106:  7083 Segmentation fault      "$sd_prog/unopkg.bin" "$@" "-env:INIFILENAME=vnd.sun.star.pathname:$sd_prog/redirectrc"
[root@tlondon ~]#
Comment 7 Tom London 2008-09-10 12:51:11 EDT
Created attachment 316333 [details]
output of 'valgring --trace-children unopkg --list'

Not sure its useful, but output from 'valgrind --trace-children=yes unopkg list --shared'.

There are some 'Invalid reads'.
Comment 8 Caolan McNamara 2008-09-10 13:47:25 EDT
Yeah, but they're from libdl, and the invalid free is from libpthread rather than anything specific to OOo so I'd sort of expect lots more failure in other things if they were significant.

Throw in the output of 

/usr/lib/openoffice.org/program/crash_report -stack /dev/null

as well, and I'll have a poke around at this tomorrow, at the very least to fix those invalid fd closes
Comment 9 Tom London 2008-09-10 13:59:24 EDT
Created attachment 316339 [details]
output of "/usr/lib/openoffice.org3/program/crash_report -stack /dev/null >/tmp/crash_report.txt "

Output of running "/usr/lib/openoffice.org3/program/crash_report -stack /dev/null >/tmp/crash_report.txt" as requested.....
Comment 10 Tom London 2008-09-30 17:06:26 EDT
Is this fixed?  Haven't seen this for a bit.

Close?
Comment 11 Caolan McNamara 2008-09-30 17:39:48 EDT
Well, I haven't identified anything specific in this area, though I've been valgrinding and generally blowing away some generic stuff. Personally I almost suspect an OOM yum/rpm trigger.
Comment 12 Caolan McNamara 2008-10-16 10:22:19 EDT
Doesn't look like the fds are really relevant either, as they are just close on -1 which shouldn't cause any major problems. So valgrind isn't giving me any reasons for something like this to happen :-(

Anyway I've committed in a patch to remove those valgrind warnings anyway, and also backport another allocator improvement for 3.0.0-9.5 on the off-chance that that will help. And tweaked the extensions to use --force, so even if it was to happen again it won't cause any serious problems for OOo afterwards.
Comment 13 Caolan McNamara 2009-05-12 17:41:05 EDT
*** Bug 466120 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.